## sgt-puzzles 8853-1maemo1

=== debian/changelog ===
sgt-puzzles (8853-1maemo1) karmic; urgency=low

  * new upstream version
  * further maemofications

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 26 Jan 2010 13:55:31 +0000

sgt-puzzles (8605-1maemo3) karmic; urgency=low

  * add bugtracker url
  * fix hang in random seed menu
  * remove doc links 

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 14 Jan 2010 09:15:36 +0000

sgt-puzzles (8605-1maemo2) karmic; urgency=low

  * setup user/games section, icon and other maemofications
  * right mouse = control + click
  * miffle mouse = shift + click

 -- Riku Voipio <riku.voipio@iki.fi>  Thu,  7 Jan 2010 09:19:59 +0000

sgt-puzzles (8605-1maemo1) karmic; urgency=low

  * Initial maemo extras upload
  * added launcher app
  * optified

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 04 Jan 2010 18:47:15 +0200

sgt-puzzles (8605-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #417682
    - Add xpm icons files for the menus
    - debian/rules adapted to install desktop and icons files
    - typo in debian/desktop/netslide.desktop

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 23 Aug 2009 17:23:32 +0530

sgt-puzzles (8605-1) unstable; urgency=low

  * New upstream release
  * Force use of bash in debian/rules - closes: #535418
  * Update German translation, thanks to Helge Kreutzmann
  * Fix generation of translated manual pages - closes: #528042 (again)
    - Do not require the associated locale to be installed at build time
    - Tell Halibut that the input and output files are UTF-8-encoded

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 16 Aug 2009 19:26:56 +0100

sgt-puzzles (8541-2) unstable; urgency=low

  * Update German translation, thanks to Helge Kreutzmann
  * Install translated online help and manual pages - closes: #528042
  * Use g_spawn_async() to run help browser
    - Avoids zombie processes - closes LP: #385149
    - Avoids showing an error box in the child process, which would
      cause the parent to abort

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 13 Jun 2009 04:37:18 +0100

sgt-puzzles (8541-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add xpm icons files for the menus
    - debian/rules adapted to install desktop and icons files

 -- Didier Roche <didrocks@ubuntu.com>  Sat, 23 May 2009 09:16:36 +0200

sgt-puzzles (8541-1) unstable; urgency=low

  * New upstream release
  * Add partial German translation of documentation - closes: #522438
  * Fix command in netslide desktop file - closes LP: #272942
  * Update policy version to 3.8.1; no changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 05 May 2009 00:26:46 +0100

sgt-puzzles (8446-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - typos in debian/desktop/netslide.desktop (Exec=netslide)
    - xpm icons files for the menus
    - debian/rules adapted to install desktop and icons files.

 -- Didier Roche <didrocks@ubuntu.com>  Sun, 03 May 2009 14:54:23 +0200

sgt-puzzles (8446-1) unstable; urgency=low

  * New upstream release
    - Obsoletes patches 101, 103, 204
    - Adds test for fwrite() failure - closes: #505157
    - Fixes bug in the Light Up solver
    - Adds keyboard control to many puzzles - closes: #417547
  * Remove obsolete patch to Unequal hit detection - closes: #501197
  * Update policy version to 3.8.0:
    - Add README.source
  * Add Vcs-* fields for my public repository
  * Add support for translation of the documentation - closes: #483665
  * Fix gcc 4.4 warnings - closes: #505359
    - Add 106_fix-uninit-warning.diff
    - Other warning fixed upstream
  * Add .desktop files, thanks to Didier Roche - closes: #495561

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 16 Feb 2009 01:03:44 +0000

sgt-puzzles (7983-1ubuntu2) intrepid; urgency=low

  * Correct netslide wrong execltable command in
    debian/dekstop/netslide.desktop (LP: #272942) 

 -- Didier Roche <didrocks@ubuntu-fr.org>  Mon, 22 Sep 2008 07:37:20 +0200

sgt-puzzles (7983-1ubuntu1) intrepid; urgency=low

  * add 306_fix-ftbfs-with-fortify-source-2.diff to fix FTBFS in gtk.c (LP:
    #255086)
  * add desktop files and xpm files (one for each game) to the menu in
    debian/desktop (LP: #61039)

 -- Didier Roche <didrocks@ubuntu-fr.org>  Sat, 09 Aug 2008 14:47:58 +0200

sgt-puzzles (7983-1) unstable; urgency=low

  * New upstream release
  * Moved common code into a private shared library, halving package
    size and installed size
  * Implemented highlighting of more kinds of error in Loopy
  * Changed encoding of copyright file to UTF-8
  * Updated standards-version to 3.7.3 (no other changes required)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 13 Apr 2008 17:39:38 +0100

sgt-puzzles (7703-1) unstable; urgency=low

  * New upstream release
  * Moved changes into patches applied with quilt
  * Removed dependency of online help on GNOME - closes: #429864, #437962

 -- Ben Hutchings <ben@decadent.org.uk>  Sat,  6 Oct 2007 23:36:20 +0100

sgt-puzzles (7636-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun,  8 Jul 2007 01:36:53 +0100

sgt-puzzles (7446-1) unstable; urgency=low

  * New upstream release - closes: #417543
  * Corrected minimum number of islands for Bridges - closes: #417541

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 24 Apr 2007 21:31:11 +0100

sgt-puzzles (7407-1) unstable; urgency=low

  * New upstream release adds Filling, Galaxies and Unequal puzzles
    - closes: #416009
  * Reverted to default version of gcc since bug #380541 has been fixed

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 27 Mar 2007 01:30:20 +0100

sgt-puzzles (6879-1) unstable; urgency=low

  * New upstream release
  * Changed window sizing to remember tile size when the puzzle type
    is changed - closes: #379452
  * Documented configuration variables - closes: #375055
  * Changed compiler to gcc-3.3 - closes: #391273


