=== debian/control ===
Source: sgt-puzzles
Maintainer: Riku Voipio <riku.voipio@iki.fi>
XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
Section: user/games
Priority: extra
Build-Depends: debhelper (>= 4), libgtk2.0-dev, perl, quilt, libhildon1-dev
Standards-Version: 3.8.1
Homepage: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
Vcs-Git: http://git.decadent.org.uk/git/sgt-puzzles.git/
Vcs-Browser: http://git.decadent.org.uk/gitweb?p=sgt-puzzles.git

Package: sgt-puzzles
Architecture: any
Depends: ${shlibs:Depends}, python-hildon
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=sgt-puzzles
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oBBwkKGDmUz7MAAATG
 SURBVEjHhVVNbxxFEK2qnp6ZnV1713Zsy0m8dpwPBAoJhiTIUoALCBGBBOIf
 IHEEkR+BxIELp5xA/AGEOCJCEBCJKFIsBQVHUYKNcawE8H5kZ2d2p6e7isPY
 uxsgoQ59mZpX9bpevcbbt24gEhKCCDw6EFEemyAiIuIhUevudqPRCCYnYJCP
 ACJEFIYhADjHzKy1BwDG5HluEGmAjogsPDU5WalUPCL67drqzbW1+osvsHOD
 DOdcOYqWl5etzYvKiOj7/vr6xsbmZnV8PAgCESHCJOmlaQJHj4yNjXmIiISe
 9n2tWSkuwADAOS8IdBiAQUAs6OggUL4OS9Gd9Y1LF78NwjBJknPnztUX68VP
 3pAcgAAECMQOkBxLSbiCmBOBCIgIUYBYEokQGvfuff/DZUQQgZXnnj1++BCy
 DOEAQEBKir68s7HaaI57nhPxlKrdXieWDnMqMkfklEriuJeb1uYWACApce6r
 za1LYfTe2ZWFAZwAsIAm/LPXe3vh4JGJiczachSdOHli3NdfXLv+09bWJ2++
 0czzjfWNe/f/uBZ3fgXwlDLOvVo/eOrppw6UQhmSRUBERFKIkR+Uw1DneTkM
 a5VK1fcrpbDk+xPjFTb5eDlqeWrlzOlDCwuIyCJzszMeiFZqj6yAc2ytzZmZ
 OXfW5Lmx1jMmSVNlbT/LcuuSJE1M3s/63SQplUozM9NRFCVJwiJx3GXm4d0Z
 k6Vp6hHZ3Pb7WZqmxjoR3tlp5L7uJt2+yf76q9EwJk16hw8fKgWlbpJ8+tnn
 58+/3+/1rbVa+wWcAEIURdVqtapUEPiVSrlarRpry+WoXp9vttrW00xkw2B+
 doYQp6f3lcvldrudpOkTx452u0me5+12u4BDABAWZmYEEWEWZnbOMXPabn/Q
 aF9fOWus7WzfvSDinM0yo7VnjAGBLDNZZqyzBcuhUHD3wMGWAiCyNKu1eGlJ
 AHa6MQgDIBafEPdmCMKc5xYRPXhsCIiwuNwCADAL4SMMgohIRLzR3h7KAAAQ
 LwhOrd+a73YAYLbZVE8eg1j2LOQhJkoRjMq4WEwAGRAmoqha/fDEcbIOAHh+
 P5RKO6221p7va609Zqe1r7UZAO/qrpemDx48YMTMmLjbbRE54U4nvnr1KrMM
 SirEVqt1d7ustU772eLS0uUrV5zJnbNzc3N7cKNC8YOxsbFarcoArVYrjru7
 vQOAiFKq188AMQyCSOStV15O425OlPZ6MirjwjJEBEAIQAEAgEIKPG/UgolI
 K4rC8M5O42s/8HNnjHktiRenpwu+Q4MqLM2IbHRiAGHAOI53BlR34TCOu2MC
 q/3sx3fehUoFMrP88UdH96zZG30N+iLPTE2u7jS24hgAM5MFnXhk6oKIWZYF
 3WSbGQQIgAkJaVByOFkEMMzP75976cD+wl5arVatVhtVIZFqNptTkxMXt+//
 fHONazWIY7GmoDZClpCIAMAAZLzr8LEIMQ9eOAEggS4A97OTtfEL331DgE6k
 vLDQk90l8USESDV/WSs2FwfNIqRp2okiHI4WkDBNU98PtNZKFQODzu9b/V5v
 9vVzUK97zrnFM6eFmUUQ/7li/96WAnp4FINknto3JSx4+9YNQFRKISL8f/xn
 hcKHWJj/BpO+vBgdnkicAAAAAElFTkSuQmCC
XB-Maemo-Display-Name: Puzzle Collection
Description: Simon Tatham's Portable Puzzle Collection - 1-player puzzle games
 Simon Tatham's Portable Puzzle Collection contains a number of popular
 puzzle games for one player.  It currently consists of these games:
 .
  * Topological deduction games: Bridges; Loopy; Map; Net, based on FreeNet;
    Slant
  * Tile manipulation games: Cube; Fifteen; Flip; Netslide; Sixteen; Twiddle
  * Black Box
  * Dominosa
  * Filling, based on Fillomino
  * Galaxies, based on Tentai Show
  * Guess, based on Mastermind
  * Inertia
  * Light Up
  * Mines, based on Minesweeper
  * Pattern, an implementation of nonograms
  * Pegs, an implementation of several versions of peg solitaire
  * Rectangles, based on Divide by Squares
  * Same Game
  * Solo, based on Sudoku
  * Tents
  * Unequal, based on Futoshiki
  * Untangle, based on Planarity
  * and others
 .  
 The following controls have been implemented to help N900 usage:
 .
  * right mouse = control + click
  * middle mouse = shift + click
