## sgt-puzzles 8853-1maemo2

=== Makefile ===
# Makefile for puzzles under X/GTK and Unix.
#
# This file was created by `mkfiles.pl' from the `Recipe' file.
# DO NOT EDIT THIS FILE DIRECTLY; edit Recipe or mkfiles.pl instead.

# You can define this path to point at your tools if you need to
# TOOLPATH = /opt/gcc/bin
CC := $(TOOLPATH)$(CC)
# You can manually set this to `gtk-config' or `pkg-config gtk+-1.2'
# (depending on what works on your system) if you want to enforce
# building with GTK 1.2, or you can set it to `pkg-config gtk+-2.0'
# if you want to enforce 2.0. The default is to try 2.0 and fall back
# to 1.2 if it isn't found.
GTK_CONFIG = sh -c 'pkg-config gtk+-2.0 $$0 2>/dev/null || gtk-config $$0'

CFLAGS := -O2 -Wall -Werror -ansi -pedantic -g -I./ -Iicons/ `$(GTK_CONFIG) \
		--cflags` $(CFLAGS)
XLIBS = `$(GTK_CONFIG) --libs`
ULIBS =#
INSTALL=install
INSTALL_PROGRAM=$(INSTALL)
INSTALL_DATA=$(INSTALL)
prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
gamesdir=$(exec_prefix)/games
mandir=$(prefix)/man
man1dir=$(mandir)/man1

all: blackbox bridges cube dominosa fifteen filling fillingsolver flip \
		galaxies galaxiespicture galaxiessolver guess inertia keen \
		keensolver latincheck lightup lightupsolver loopy \
		loopysolver magnets magnetssolver map mapsolver mineobfusc \
		mines net netslide nullgame obfusc pattern patternsolver \
		pegs rect samegame singles singlessolver sixteen slant \
		slantsolver solo solosolver tents tentssolver towers \
		towerssolver twiddle unequal unequalsolver untangle

blackbox: blackbox.o drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ blackbox.o drawing.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

bridges: bridges.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ bridges.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

cube: cube.o drawing.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o \
		ps.o random.o version.o
	$(CC) -o $@ cube.o drawing.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

dominosa: dominosa.o drawing.o gtk.o laydomino.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o
	$(CC) -o $@ dominosa.o drawing.o gtk.o laydomino.o malloc.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o version.o  \
		$(XLIBS)

fifteen: drawing.o fifteen.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o fifteen.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

filling: drawing.o dsf.o filling.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o filling.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

fillingsolver: dsf.o filling2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o filling2.o malloc.o misc.o nullfe.o random.o  \
		$(ULIBS)

flip: drawing.o flip.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o flip.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

galaxies: drawing.o dsf.o galaxies.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o galaxies.o gtk.o malloc.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o version.o  \
		$(XLIBS)

galaxiespicture: dsf.o galaxie4.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o galaxie4.o malloc.o misc.o nullfe.o random.o -lm \
		$(ULIBS)

galaxiessolver: dsf.o galaxie2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o galaxie2.o malloc.o misc.o nullfe.o random.o -lm \
		$(ULIBS)

guess: drawing.o gtk.o guess.o malloc.o midend.o misc.o no-icon.o printing.o \
		ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o guess.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

inertia: drawing.o gtk.o inertia.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o inertia.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

keen: drawing.o dsf.o gtk.o keen.o latin.o malloc.o maxflow.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o tree234.o \
		version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o keen.o latin.o malloc.o maxflow.o \
		midend.o misc.o no-icon.o printing.o ps.o random.o tree234.o \
		version.o  $(XLIBS)

keensolver: dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o nullfe.o \
		random.o tree234.o
	$(CC) -o $@ dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o \
		nullfe.o random.o tree234.o  $(ULIBS)

latincheck: latin8.o malloc.o maxflow.o misc.o nullfe.o random.o tree234.o
	$(CC) -o $@ latin8.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tree234.o  $(ULIBS)

lightup: combi.o drawing.o gtk.o lightup.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o
	$(CC) -o $@ combi.o drawing.o gtk.o lightup.o malloc.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o version.o  \
		$(XLIBS)

lightupsolver: combi.o lightup2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ combi.o lightup2.o malloc.o misc.o nullfe.o random.o  \
		$(ULIBS)

loopy: drawing.o dsf.o grid.o gtk.o loopy.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o grid.o gtk.o loopy.o malloc.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o tree234.o \
		version.o  $(XLIBS)

loopysolver: dsf.o grid.o loopy2.o malloc.o misc.o nullfe.o random.o \
		tree234.o
	$(CC) -o $@ dsf.o grid.o loopy2.o malloc.o misc.o nullfe.o random.o \
		tree234.o -lm $(ULIBS)

magnets: drawing.o gtk.o laydomino.o magnets.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o laydomino.o magnets.o malloc.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o version.o  \
		$(XLIBS)

magnetssolver: laydomino.o magnets2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ laydomino.o magnets2.o malloc.o misc.o nullfe.o random.o \
		-lm $(ULIBS)

map: drawing.o dsf.o gtk.o malloc.o map.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o map.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

mapsolver: dsf.o malloc.o map2.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o malloc.o map2.o misc.o nullfe.o random.o -lm \
		$(ULIBS)

mineobfusc: malloc.o mines2.o misc.o nullfe.o random.o tree234.o
	$(CC) -o $@ malloc.o mines2.o misc.o nullfe.o random.o tree234.o  \
		$(ULIBS)

mines: drawing.o gtk.o malloc.o midend.o mines.o misc.o no-icon.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o mines.o misc.o \
		no-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

net: drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o no-icon.o \
		printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o \
		no-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

netslide: drawing.o gtk.o malloc.o midend.o misc.o netslide.o no-icon.o \
		printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o netslide.o \
		no-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

nullgame: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o nullgame.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		nullgame.o printing.o ps.o random.o version.o  $(XLIBS)

obfusc: malloc.o misc.o nullfe.o obfusc.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o obfusc.o random.o  $(ULIBS)

pattern: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o pattern.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		pattern.o printing.o ps.o random.o version.o  $(XLIBS)

patternsolver: malloc.o misc.o nullfe.o pattern2.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o pattern2.o random.o  $(ULIBS)

pegs: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o pegs.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		pegs.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

rect: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o ps.o \
		random.o rect.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o rect.o version.o  $(XLIBS)

samegame: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o ps.o \
		random.o samegame.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o samegame.o version.o  $(XLIBS)

singles: drawing.o dsf.o gtk.o latin.o malloc.o maxflow.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o singles.o tree234.o \
		version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o latin.o malloc.o maxflow.o \
		midend.o misc.o no-icon.o printing.o ps.o random.o singles.o \
		tree234.o version.o  $(XLIBS)

singlessolver: dsf.o latin.o malloc.o maxflow.o misc.o nullfe.o random.o \
		singles3.o tree234.o
	$(CC) -o $@ dsf.o latin.o malloc.o maxflow.o misc.o nullfe.o \
		random.o singles3.o tree234.o  $(ULIBS)

sixteen: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o ps.o \
		random.o sixteen.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o sixteen.o version.o  $(XLIBS)

slant: drawing.o dsf.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o \
		ps.o random.o slant.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o slant.o version.o  $(XLIBS)

slantsolver: dsf.o malloc.o misc.o nullfe.o random.o slant2.o
	$(CC) -o $@ dsf.o malloc.o misc.o nullfe.o random.o slant2.o  \
		$(ULIBS)

solo: divvy.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o solo.o version.o
	$(CC) -o $@ divvy.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o solo.o version.o  \
		$(XLIBS)

solosolver: divvy.o dsf.o malloc.o misc.o nullfe.o random.o solo2.o
	$(CC) -o $@ divvy.o dsf.o malloc.o misc.o nullfe.o random.o solo2.o  \
		$(ULIBS)

tents: drawing.o dsf.o gtk.o malloc.o maxflow.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o tents.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o maxflow.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o tents.o version.o  \
		$(XLIBS)

tentssolver: dsf.o malloc.o maxflow.o misc.o nullfe.o random.o tents3.o
	$(CC) -o $@ dsf.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tents3.o  $(ULIBS)

towers: drawing.o gtk.o latin.o malloc.o maxflow.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o towers.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o latin.o malloc.o maxflow.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o towers.o tree234.o \
		version.o  $(XLIBS)

towerssolver: latin6.o malloc.o maxflow.o misc.o nullfe.o random.o towers2.o \
		tree234.o
	$(CC) -o $@ latin6.o malloc.o maxflow.o misc.o nullfe.o random.o \
		towers2.o tree234.o  $(ULIBS)

twiddle: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o ps.o \
		random.o twiddle.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o twiddle.o version.o  $(XLIBS)

unequal: drawing.o gtk.o latin.o malloc.o maxflow.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o tree234.o unequal.o \
		version.o
	$(CC) -o $@ drawing.o gtk.o latin.o malloc.o maxflow.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o tree234.o \
		unequal.o version.o  $(XLIBS)
