=== debian/changelog ===
sgt-puzzles (8853-1maemo2) karmic; urgency=low

  * fix sgt-launcher to work when user has changed partitioning
  * add copyright file
  * add help by popular demand

 -- Riku Voipio <riku.voipio@iki.fi>  Tue,  9 Mar 2010 13:39:51 +0000
