=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: sgt-puzzles
 Architecture: any
-Depends: ${shlibs:Depends}, python-hildon
+Depends: ${shlibs:Depends}, python-hildon (>=0.9.0-1maemo15)
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=sgt-puzzles
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAAXNSR0IArs4c
