=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 build-arch: build-arch-stamp
 build-arch-stamp: Makefile
 	$(MAKE) "VER=-DREVISION=$(UPSTREAM_VERSION)" \
-	    "XFLAGS=-DDEBIAN_VERSION=\"\\\"$(DEBIAN_VERSION)\\\"\" -DSTYLUS_BASED=1 -DHELP_BROWSER_PATH=\"\\\"yelp:khelpcenter:sensible-browser\\\"\"" \
+	    "XFLAGS=-DSTYLUS_BASED=1" \
 	    puzzles
 #	$(MAKE) -f Makefile.doc
 	touch build-arch-stamp
@@ -70,6 +70,7 @@
 	install -m755 debian/sgt-launcher debian/sgt-puzzles/opt/sgt-puzzles/
 	mkdir -p -m755  debian/sgt-puzzles/opt/sgt-puzzles/pixmaps/
 	install -m644 debian/desktop/*.xpm debian/sgt-puzzles/opt/sgt-puzzles/pixmaps/
+	cp -a debian/help debian/sgt-puzzles/opt/sgt-puzzles/
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
