=== debian/watch ===
# Upstream homepage links to a file called puzzles.tar.gz which
# redirects to puzzles-r$version.tar.gz.  uscan can't check that.
# However, this is a nightly snapshot numbered according to the SVN
# revision number, so we can extract the version number from its web
# view.
version=3
opts="filenamemangle=s/.*\?rev=(\d+).*/sgt-puzzles_$1.orig.tar.gz/,downloadurlmangle=s@.*\?rev=(\d+).*@http://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles-r$1.tar.gz@" \
http://svn.tartarus.org/sgt/puzzles/ /sgt\?rev=(\d+)\&view=rev
