## sgt-puzzles 8853-1maemo3

=== debian/changelog ===
sgt-puzzles (8853-1maemo3) karmic; urgency=low

  * fix sgt-launcher to work when user has changed partitioning
  * add copyright file
  * add help by popular demand

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 23 Mar 2010 07:59:51 +0000
